<?php

defined('BASEPATH') OR exit('No direct script access allowed');

// This can be removed if you use __autoload() in config.php OR use Modular Extensions
require APPPATH . '/libraries/REST_Controller.php';

/**
 * This is an example of a few basic user interaction methods you could use
 * all done with a hardcoded array
 *
 * @package         CodeIgniter
 * @subpackage      Rest Server
 * @category        Controller
 * @author          Hector Luna
 * @license         MIT
 * @link            https://github.com/chriskacerguis/codeigniter-restserver
 */
class Almacenes extends REST_Controller {

	function __construct() {
		header('Access-Control-Allow-Origin: *');
		header("Access-Control-Allow-Headers: Content-Type, Cache-Control");
		header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT");
		$method = $_SERVER['REQUEST_METHOD'];
		if($method == "OPTIONS") {
				die();
		}

		parent::__construct();
		//$this->load->model('Md_facebook');
		$this->load->model('Md_bot');
		$this->load->model('Md_almacenes');
	}

	public function welcome_get() {

			$account = $this->Md_bot->getUser($this->get('auth'));
			$mensajes = $this->Md_bot->getMensajes($account[0]['id']);

			if( isset( $mensajes[0]['bienvenida'] ) && $mensajes[0]['bienvenida'] != '' ) {
				$data = $mensajes[0]['bienvenida'];
			} else {
				$data = '';
			}

			$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $data], REST_Controller::HTTP_OK);
	}

	public function live_put() {

			$post = $this->put();
			$cleanPost = $this->security->xss_clean($post);

			$account = $this->Md_bot->getUser($cleanPost['auth']);
			$ip = $cleanPost['user'];
			$device = $cleanPost['usr_dev'];

			$data = [];
			$data['mensaje'] = '';
			$data['bot'] = '';

			if ( isset($account[0]) ) {

				$return = $this->Md_bot->getLive($account[0]['id'], $ip, $device);

				if($return) {
					$data['bot'] = $return[0]['bot'];
					$return2 = $this->Md_bot->putLive($return, $account[0]['id']);
					if(!empty($return2)) {
						foreach ($return2 as $value) {
							$data['mensaje'] .=  '<div style="width:100%;float:left;">';
							$data['mensaje'] .= '<div class="fogata-bot-response">'.base64_decode($value['message']).'</div>';
							$data['mensaje'] .= '</div>';
						}
					}
				}

				$data = json_encode($data);

				$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $data], REST_Controller::HTTP_OK);

			} else $this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => 'User not found. For more information contact us at info@fogatagroup.com.<br><br><i>Usuario no encontrado, escriba a info@fogatagroup.com si cree que no debería ver este mensaje.</i>'], REST_Controller::HTTP_OK);
	}

	public function user_put() {


			$post = $this->put();
			$cleanPost = $this->security->xss_clean($post);

			$account = $this->Md_bot->getUser($cleanPost['auth']);
			$ip = $cleanPost['user'];
			$name = $cleanPost['name'];
			$email = $cleanPost['email'];
			$phone = $cleanPost['phone'];
			$device = $cleanPost['usr_dev'];

			if ( isset($account[0]) ) {

				$return = $this->Md_bot->putUser($account[0]['id'], $ip, $name, $email, $phone, $device);

				if($return)

				$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $return], REST_Controller::HTTP_OK);

				else

				$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $return], REST_Controller::HTTP_OK);

			} else $this->set_response(['status' => FALSE, 'codigo' => 1, 'message' => '', 'data' => 'User not found. For more information contact us at info@fogatagroup.com.<br><br><i>Usuario no encontrado, escriba a info@fogatagroup.com si cree que no debería ver este mensaje.</i>'], REST_Controller::HTTP_OK);
	}

	public function newchat_put() {

			$post = $this->put();
			$cleanPost = $this->security->xss_clean($post);

			$account = $this->Md_bot->getUser($cleanPost['auth']);
			$ip = $cleanPost['user'];
			$word = $cleanPost['msg'];
			$type = $cleanPost['type'];
			$key = $cleanPost['bots_key_id'];
			$device = $cleanPost['usr_dev'];
			$msg = FALSE;
			$data = [];
			$data['mensaje'] = '';
			$data['botones'] = '';

			function getEncodeUrl($text) {
		 		$retu =  base64_decode($text);
		 		$url = '/(http|https|ftp|ftps)\:\/\/[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/';
				$replace = preg_replace_callback($url, function($matches) {
						if( strlen($matches[0]) > 20 ) {
							$urlTxt = substr($matches[0], 0, 20).'...';
						} else {
							$urlTxt = $matches[0];
						}
				    return '<b><a href="'.$matches[0].'" target="_blank" title="'.$matches[0].'">'.$urlTxt.'</a></b>';
				}, $retu);
		 		return $replace;
		 	}

			function getEncodeUrl2($text) {
				$retu =  $text;
				$url = '/(http|https|ftp|ftps)\:\/\/[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/';
				$replace = preg_replace_callback($url, function($matches) {
						if( strlen($matches[0]) > 20 ) {
							$urlTxt = substr($matches[0], 0, 20).'...';
						} else {
							$urlTxt = $matches[0];
						}
						return '<b><a href="'.$matches[0].'" target="_blank" title="'.$matches[0].'">'.$urlTxt.'</a></b>';
				}, $retu);
				return $replace;
			}

			function normaliza ($cadena){
				$originales =  'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ?¿';
				$modificadas = 'aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr?¿';
				$cadena = utf8_decode($cadena);
				$cadena = strtr($cadena, utf8_decode($originales), $modificadas);
				$cadena = strtolower($cadena);
				return utf8_encode($cadena);
			}

			if ( isset($account[0]) ) {

				$cycles = $this->Md_bot->getCycle($ip, $device, $account[0]['id']);

				//aki
				$typeA = 0;
				if( !empty($cycles) ) {

					$respuesta = $this->Md_bot->getEncResp( $cycles );

					//$respuestaID = $this->Md_bot->getEncRespId( $keyID );
					$data['mensaje'] =  getEncodeUrl2( $respuesta[0]['text'] );
					//$msg = $respuestaID[0]['button'];
					error_log( $data['mensaje'] );
					$buttons = $this->Md_bot->getBotonesEnc( $cycles );
					foreach ($buttons as $btn) {
						$data['botones'] .= '<div class="option-button fogata-option-button">'.$btn['button'].'</div>';
					};

					error_log( $data['botones'] );
					$this->Md_bot->putMsg($ip, $msg, 0, $account[0]['id'], $key, 0, $device, $word, $typeA);
					//$this->Md_bot->putMsg($ip, $msg, 3, $account[0]['id'], $key, 0, $device, $word);

					$data = json_encode($data);

					$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $data], REST_Controller::HTTP_OK);

				} else{

				$keys = $this->Md_bot->getKeys($account[0]['id']);

				$mensaje = strtolower($word);
				$mensaje = urldecode($mensaje);
				$mensaje = normaliza($mensaje);

			/*	if (strpos($mensaje, normaliza('llamar a un agente')) !== false) {
						$data['mensaje'] = '🙂 Por favor espera unos minutos, nuestros ejecutivos se comunicaran contigo';
						$data['signup'] = 1;
				} else*/ if ($type == 1 && count($keys) > 0) {

			        //$hilos = json_decode($keys);

							foreach ($keys as $value) {
								$exp[ $value['id'] ]['id']= $value['id'];
								$exp[ $value['id'] ]['key']= $value['key_group'];
								$exp[ $value['id'] ]['mensaje']= $value['mensaje'];
								$chk[ $value['id'] ] = strtolower($value['key']);
			          //echo normaliza(strtolower($value->key)).'  //  ';
							}

							$found = FALSE;
							$count = 0;

							foreach ($chk as $value) {
			          $value2 = explode(",", $value);
			          foreach ($value2 as $value3) {
			            if (strpos($mensaje, normaliza($value3)) !== false) {
			                $key = array_search($value, $chk);
			                $msg = $value3;
											$hooman[$count]['key'] = $key;
											$hooman[$count]['msg'] = strlen(utf8_decode($msg));
											$hooman[$count]['text'] = $msg;
			                $found = TRUE;
											$count++;
			            }
			          }
							}
// aqui comienza productos
					/*	if (strpos($mensaje, normaliza('productos')) !== false) {
								$data['mensaje'] = 'Selecciona el tipo de producto que estas buscando para tu hogar 👇🏻';

								$return = $this->Md_almacenes->getFamilia();
								if($return) {
									$data['botones'] = '';
									foreach ($return as $value) {
										$data['botones'] .= '<div class="option-button fogata-option-button">'.$value['familia'].'</div>';
									}
									$data['signup'] = 3;
								} else {
									$data['mensaje'] = 'Disculpe, aún no tenemos productos para esta categoría.';
									$data['botones'] = '<div class="option-button fogata-option-button">Llamar a un agente</div>';
								}


						} else*/

						if (strpos($mensaje, normaliza('aceptar geolocalizacion')) !== false) {

						} else if (strpos($mensaje, normaliza('cerca de mi')) !== false) {
								$data['mensaje'] = 'Preciona aceptar para poder conseguir tu ubicación actual y poder mostrar las sucursales más cercanas.';
								$data['botones'] = '<div class="geo-fogata">Aceptar Geolocalización</div>';
						} else if($found == TRUE){
								$esta = max(array_column($hooman, 'msg'));
								$key = array_search($esta, array_column($hooman, 'msg'));
								$msg = $hooman[$key]['text'];
								$key = $hooman[$key]['key'];

								$typeA = $exp[$key]['key'];

								$data['mensaje'] = getEncodeUrl($exp[$key]['mensaje']);

								if(	$exp[$key]['key'] == 2  ){

									$buttons = $this->Md_bot->getBotones($key);

			            foreach ($buttons as $btn) {
			              $data['botones'] .= '<div class="option-button fogata-option-button">'.$btn['button'].'</div>';
			            };

			          } else if(	$exp[$key]['key'] == 3 ){

									$image = $this->Md_bot->getImage($key);

			            foreach ($image as $img) {
			              $data['mensaje'] .= '</br><a href="https://fogatacrm.com/admin/advanced/backend/web'.$img['key_url'].'" target="_blank"><img src="https://fogatacrm.com/admin/advanced/backend/web'.$img['key_url'].'" width="100%"></a>';
			            };

			          } else if( $exp[$key]['key'] == 4 ){

									$buttons = $this->Md_bot->getEncuestas($key);

			            foreach ($buttons as $btn) {
			               $data['botones'] .= '<div data-id="'.$btn['bots_keys_id'].'" data-key="'.$btn['id'].'" class="encuesta-response fogata-encuesta-response">'.$btn['button'].'</div>';
			            };

			          } else if( $exp[$key]['key'] == 5 ){

									$combos = $this->Md_bot->getCombos($key);

									$galWidth = count($combos);
									$galWidth = 224 * $galWidth;

									$data['mensaje'] .= '<div class="fogata-gallery">';
									$data['mensaje'] .= '<div class="fogata-controls">
																				<div class="fogata-left-control" data-id="'.$key.'">
																					<i class="fas fa-chevron-left"></i>
																				</div>
																				<div class="fogata-right-control" data-id="'.$key.'">
																					<i class="fas fa-chevron-right"></i>
																				</div>
																		   </div>';

									$data['mensaje'] .= '<div style="width: '.$galWidth.'px" class="fogata-scroll fogata-scroll-'.$key.'">';

			            foreach ($combos as $combo) {
										$data['mensaje'] .= '<div class="fogata-tile">';
			              $data['mensaje'] .= '<a href="https://fogatacrm.com/admin/advanced/backend/web'.$combo['key_url'].'" target="_blank"><img style="margin-top: 15px;" src="https://fogatacrm.com/admin/advanced/backend/web'.$combo['key_url'].'" width="100%"></a>';
			              $data['mensaje'] .= '<p style="margin: 2px 0 1px"><b>'.$combo['title'].'</b></p>';
										if($combo['subtitle'] != '')
										$data['mensaje'] .= '<p style="margin: 1px 0 2px">'.$combo['subtitle'].'</p>';
			              $data['mensaje'] .= '<a href="'.$combo['image_url'].'" target="_blank"><div class="bot-button fogata-bot-button">'.$combo['button'].'</div></a>';
										$data['mensaje'] .= '</div>';
									};

									$data['mensaje'] .= '</div>';
									$data['mensaje'] .= '</div>';

			          } else if( $exp[$key]['key'] == 6 ){

										$combos = $this->Md_bot->getCombots($key);


										$galWidth = count($combos);
										$galWidth = 224 * $galWidth;

										$data['mensaje'] .= '<div class="fogata-gallery">';
										$data['mensaje'] .= '<div class="fogata-controls">
																				<div class="fogata-left-control" data-id="'.$key.'">
																						<i class="fas fa-chevron-left"></i>
																				</div>
																				<div class="fogata-right-control" data-id="'.$key.'">
																						<i class="fas fa-chevron-right"></i>
																				</div>
																				</div>';

										$data['mensaje'] .= '<div style="width: '.$galWidth.'px" class="fogata-scroll fogata-scroll-'.$key.'">';

										foreach ($combos as $combo) {
												$data['mensaje'] .= '<div class="fogata-tile">';
												$data['mensaje'] .= '<a href="https://fogatacrm.com/admin/advanced/backend/web'.$combo['key_image'].'" target="_blank"><img style="margin-top: 15px;" src="https://fogatacrm.com/admin/advanced/backend/web'.$combo['key_image'].'" width="100%"></a>';
												$data['mensaje'] .= '<div class="bot-button fogata-option-button">'.$combo['button'].'</div>';
												$data['mensaje'] .= '</div>';
										};

										$data['mensaje'] .= '</div>';
										$data['mensaje'] .= '</div>';

								} else if(strlen($exp[$key]['mensaje']) <= 7 && $exp[$key]['key'] == 1){

			            $data['mensaje'] = '<h2 style="color:#fff">'.$exp[$key]['mensaje'].'</h2>';

			          } else if(strlen($exp[$key]['mensaje']) <= 9 && $exp[$key]['key'] == 1){

			            $data['mensaje'] = '<h3 style="color:#fff">'.$exp[$key]['mensaje'].'</h3>';

			          };

			        } else {

								$mensajes = $this->Md_bot->getMensajes($account[0]['id']);

								if( isset( $mensajes[0]['notfound'] ) && $mensajes[0]['notfound'] != '' ) {
									$data['mensaje'] = $mensajes[0]['notfound'];
								}

			        }

				$this->Md_bot->putMsg($ip, $msg, 0, $account[0]['id'], $key, 0, $device, $word, $typeA);

			} else if ($type == 2 && count($keys) > 0) {
				$keyID = $cleanPost['keyenc_id'];
				$key = $cleanPost['keyenc'];
				$respuesta = $this->Md_bot->getEncResp( $key );
				$respuestaID = $this->Md_bot->getEncRespId( $keyID );
			  $data['mensaje'] =  getEncodeUrl2( $respuesta[0]['text'] );
			  $msg = $respuestaID[0]['button'];


				$buttons = $this->Md_bot->getBotonesEnc($key);


				foreach ($buttons as $btn) {
					$data['botones'] .= '<div class="option-button fogata-option-button">'.$btn['button'].'</div>';
				};

				$this->Md_bot->putMsg($ip, $msg, 3, $account[0]['id'], $key, $keyID, $device, $word, $typeA);
			} else if ($type == 3) { // logica de las subfamilias

				$data['mensaje'] = 'Para ayudarle a conseguir lo que busca lo vamos a ayudar ofreciendo las siguientes categorías:';

				$return = $this->Md_almacenes->getSubFamilia($word);
				if($return) {
					$data['botones'] = '';
					foreach ($return as $value) {
						$data['botones'] .= '<div class="option-button fogata-option-button">'.$value['subfamilia'].'</div>';
					}
					$data['signup'] = 4;
				} else {
					$data['mensaje'] = 'Disculpe, aún no tenemos productos para esta categoría.';
					$data['botones'] = '<div class="option-button fogata-option-button">Llamar a un agente</div>';
				}

		} else if ($type == 4) { // logica de genericos

			$data['mensaje'] = '¿Cuál de estos productos está buscando?';

			$return = $this->Md_almacenes->getGenerico($word);
			if($return) {
				$data['botones'] = '';
				foreach ($return as $value) {
					$data['botones'] .= '<div class="option-button fogata-option-button">'.$value['generico'].'</div>';
				}
				$data['signup'] = 5;
			} else {
				$data['mensaje'] = 'Disculpe, aún no tenemos productos para esta categoría.';
				$data['botones'] = '<div class="option-button fogata-option-button">Llamar a un agente</div>';
			}

		} else if ($type == 5) {

			$data['mensaje'] = '¿Cuál de estas marcas está buscando?';

			$return = $this->Md_almacenes->getMarca($word);
			if($return) {
				$data['botones'] = '';
				foreach ($return as $value) {
					$data['botones'] .= '<div class="option-button fogata-option-button">'.$value['marca'].'</div>';
				}
				$data['signup'] = 6;
			} else {
				$data['mensaje'] = 'Disculpe, aún no tenemos productos para esta marca.';
				$data['botones'] = '<div class="option-button fogata-option-button">Llamar a un agente</div>';
			}

		} else if ($type == 6) {


			$familia = $cleanPost['familia'];
			$subfamilia = $cleanPost['subfamilia'];
			$generico = $cleanPost['generico'];
			$marca = $cleanPost['marca'];

			$return = $this->Md_almacenes->getProductos($familia,$subfamilia,$generico,$marca);

			$data['mensaje'] = '';
			$galWidth = count($return);
			if($galWidth >= 1) {
			$galWidth = 224 * $galWidth;

			$data['mensaje'] .= '<div class="fogata-gallery">';
			$data['mensaje'] .= '<div class="fogata-controls">
														<div class="fogata-left-control" data-id="1">
															<i class="fas fa-chevron-left"></i>
														</div>
														<div class="fogata-right-control" data-id="1">
															<i class="fas fa-chevron-right"></i>
														</div>
													 </div>';

			$data['mensaje'] .= '<div style="width: '.$galWidth.'px" class="fogata-scroll fogata-scroll-1">';

			foreach ($return as $combo) {
				if($combo['descripcion'] == 'Llamar a un Agente') {
					$data['mensaje'] .= '<div class="fogata-tile">';
					$data['mensaje'] .= '<img style="margin-top: 15px;" src="https://api.fogatacrm.com/logos/almacenes-japon-bot.jpg" width="100%">';
					$data['mensaje'] .= '<p style="margin: 1px 0 2px">Para consultar sobre este producto contacte uno de nuestros agentes.</p>';
					$data['mensaje'] .= '<div class="option-button fogata-option-button">Llamar a un agente</div>';
					$data['mensaje'] .= '</div>';
				} else {
					$data['mensaje'] .= '<div class="fogata-tile">';
					$data['mensaje'] .= '<img style="margin-top: 15px;" src="https://api.fogatacrm.com/logos/almacenes-japon-bot.jpg" width="100%">';
					$data['mensaje'] .= '<p style="margin: 2px 0 1px"><b>'.$marca.'</b></p>';
					$data['mensaje'] .= '<p style="margin: 1px 0 2px">'.$combo['descripcion'].'</p>';
					if($combo['caracteristica_a'] != '') $data['mensaje'] .= '<p style="margin: 1px 0 2px">'.$combo['caracteristica_a'].'</p>';
					if($combo['caracteristica_b'] != '') $data['mensaje'] .= '<p style="margin: 1px 0 2px">'.$combo['caracteristica_b'].'</p>';
					$data['mensaje'] .= '<p style="margin: 1px 0 2px">Precio</p>';
					$data['mensaje'] .= '<div class="bot-button fogata-bot-button">Q '.$combo['costo'].'</div>';
					$data['mensaje'] .= '</div>';

				}

			};

			$data['mensaje'] .= '</div>';
			$data['mensaje'] .= '</div>';
		}


				$data['signup'] = 7;


		} else if ($type == 8) {

			$guia = $cleanPost['guia'];

			$return = $this->Md_almacenes->getTracking($guia);

			if($return) {
				$data['mensaje'] = 'Su paquete se encuetra en:'.$return;
				$data['botones'] = '<div class="option-button fogata-option-button">Menú</div>';
				$data['signup'] = 7;
			} else {
				$data['mensaje'] = 'Se produjo un error, por favor vuelva a intentarlo. Si no obtiene su estimado de tarifa intente llamar a un agente';
				$data['botones'] = '<div class="option-button fogata-option-button">Llamar a un agente</div>';
			}



		} else {
				$mensajes = $this->Md_bot->getMensajes($account[0]['id']);

				if( isset( $mensajes[0]['notfound'] ) && $mensajes[0]['notfound'] != '' ) {
					$data['mensaje'] = $mensajes[0]['notfound'];
				}
			}

			

			if($account[0]['alerts'] == 1){
				date_default_timezone_set('America/Guatemala');
				$timeGuate = date('G', time());

				if($timeGuate < 8 || $timeGuate >= 20) {
					$data['mensaje'] .= '<br><br><i>En este momento ninguno de nuestros agentes está disponible. La siguiente respuesta es proporcionada por nuestro asistente virtual.</i>';
					$data['signup'] = 1;
					$data = json_encode($data);
					$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $data], REST_Controller::HTTP_OK);
				} else {
					$data = json_encode($data);
					$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $data], REST_Controller::HTTP_OK);
				} 
			} else {
				$data = json_encode($data);
				$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => $data], REST_Controller::HTTP_OK);
			} 

		}
	} else $this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => '', 'data' => 'User not found. For more information contact us at info@fogatagroup.com.<br><br><i>Usuario no encontrado, escriba a info@fogatagroup.com si cree que no debería ver este mensaje.</i>'], REST_Controller::HTTP_OK);

	}

	public function nearby_get() {
		$lat = $this->get('lat');
		$long = $this->get('long');

			if( !empty($lat) && !empty($long) ) {
				$return = $this->Md_almacenes->getNearby($lat,$long);
			//	$data = json_encode($return);
				$data = '';
				$galWidth = count($return);
				if($galWidth >= 1) {
			 	$galWidth = 224 * $galWidth;

			 	$data .= '<div class="fogata-gallery">';
			 	$data .= '<div class="fogata-controls">
			 												<div class="fogata-left-control" data-id="1">
			 													<i class="fas fa-chevron-left"></i>
			 												</div>
			 												<div class="fogata-right-control" data-id="1">
			 													<i class="fas fa-chevron-right"></i>
			 												</div>
			 											 </div>';

			 	$data .= '<div style="width: '.$galWidth.'px" class="fogata-scroll fogata-scroll-1">';

			 	foreach ($return as $combo) {
			 		$data .= '<div class="fogata-tile">';
			 		$data .= '<a href="https://www.waze.com/ul?ll='.$combo['latitud'].'%2C'.$combo['longitud'].'&navigate=yes&zoom=17" target="_blank"><img style="margin-top: 15px;" src="https://i.blogs.es/b3db37/waze/450_1000.jpg" width="100%"></a>';
			 		$data .= '<p style="margin: 2px 0 1px"><b>'.$combo['sede'].'</b></p>';
			 		$data .= '<p style="margin: 1px 0 2px">'.round($combo['distance'],2).' Km</p>';
					$data .= '<p style="margin: 1px 0 2px">'.$combo['direccion'].' Km</p>';
					$data .= '<p style="margin: 1px 0 2px">'.$combo['tel'].' Km</p>';
			 		$data .= '<a href="https://www.waze.com/ul?ll='.$combo['latitud'].'%2C'.$combo['longitud'].'&navigate=yes&zoom=17" target="_blank"><div class="bot-button fogata-bot-button">Ir a Waze</div></a>';
			 		$data .= '</div>';
			 	};

			 	$data .= '</div>';
			 	$data .= '</div>';
			}
			} else {
				$return = 0;
			}




			if ( isset($return[0]) ) {
				$this->set_response(['status' => TRUE, 'codigo' => 0, 'message' => 'Resultados de la búsqueda', 'data' => $data], REST_Controller::HTTP_OK);
			} else $this->set_response(['status' => FALSE, 'codigo' => 1, 'message' => 'No hay resultados', 'data' => 'Error'], REST_Controller::HTTP_OK);
	}

}
